Package: java.lang

## [Java] Interface System.Logger

-     public static interface System.Logger

  GDK enhancements for Logger.

  displayName:
    Logger
  receiverFqcn:
    java.lang.System.Logger

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `debug(String msg)` Convenience method for logging debug level messages with the platform logger.
    `` | `public void` | `debug(String msg, Throwable thrown)` Convenience method for logging debug level messages with the platform logger.
    `` | `public void` | `debug(String format, Object params)` Convenience method for logging debug level messages with the platform logger.
    `` | `public void` | `error(String msg)` Convenience method for logging error level messages with the platform logger.
    `` | `public void` | `error(String msg, Throwable thrown)` Convenience method for logging error level messages with the platform logger.
    `` | `public void` | `error(String format, Object params)` Convenience method for logging error level messages with the platform logger.
    `` | `public void` | `info(String msg)` Convenience method for logging info level messages with the platform logger.
    `` | `public void` | `info(String msg, Throwable thrown)` Convenience method for logging info level messages with the platform logger.
    `` | `public void` | `info(String format, Object params)` Convenience method for logging info level messages with the platform logger.
    `` | `public void` | `trace(String msg)` Convenience method for logging trace level messages with the platform logger.
    `` | `public void` | `trace(String msg, Throwable thrown)` Convenience method for logging trace level messages with the platform logger.
    `` | `public void` | `trace(String format, Object params)` Convenience method for logging trace level messages with the platform logger.
    `` | `public void` | `warn(String msg)` Convenience method for logging warning level messages with the platform logger.
    `` | `public void` | `warn(String msg, Throwable thrown)` Convenience method for logging warning level messages with the platform logger.
    `` | `public void` | `warn(String format, Object params)` Convenience method for logging warning level messages with the platform logger.

- - ### Method Detail

    - #### public void debug(String msg)

      Convenience method for logging debug level messages with the platform logger.

    - #### public void debug(String msg, Throwable thrown)

      Convenience method for logging debug level messages with the platform logger.

    - #### public void debug(String format, Object params)

      Convenience method for logging debug level messages with the platform logger.

    - #### public void error(String msg)

      Convenience method for logging error level messages with the platform logger.

    - #### public void error(String msg, Throwable thrown)

      Convenience method for logging error level messages with the platform logger.

    - #### public void error(String format, Object params)

      Convenience method for logging error level messages with the platform logger.

    - #### public void info(String msg)

      Convenience method for logging info level messages with the platform logger.

    - #### public void info(String msg, Throwable thrown)

      Convenience method for logging info level messages with the platform logger.

    - #### public void info(String format, Object params)

      Convenience method for logging info level messages with the platform logger.

    - #### public void trace(String msg)

      Convenience method for logging trace level messages with the platform logger.

    - #### public void trace(String msg, Throwable thrown)

      Convenience method for logging trace level messages with the platform logger.

    - #### public void trace(String format, Object params)

      Convenience method for logging trace level messages with the platform logger.

    - #### public void warn(String msg)

      Convenience method for logging warning level messages with the platform logger.

    - #### public void warn(String msg, Throwable thrown)

      Convenience method for logging warning level messages with the platform logger.

    - #### public void warn(String format, Object params)

      Convenience method for logging warning level messages with the platform logger.